org.wildfly.swarm.config.infinispan.cache_container

## Class ExpirationComponent<T extends ExpirationComponent<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.infinispan.cache_container.ExpirationComponent<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class ExpirationComponent<T extends ExpirationComponent<T>>
      extends HashMap

  The cache expiration configuration.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExpirationComponent()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `Long` | `interval()` Interval (in milliseconds) between subsequent runs to purge expired entries from memory and any cache stores.
    `T` | `interval(Long value)` Interval (in milliseconds) between subsequent runs to purge expired entries from memory and any cache stores.
    `Long` | `lifespan()` Maximum lifespan of a cache entry, after which the entry is expired cluster-wide, in milliseconds.
    `T` | `lifespan(Long value)` Maximum lifespan of a cache entry, after which the entry is expired cluster-wide, in milliseconds.
    `Long` | `maxIdle()` Maximum idle time a cache entry will be maintained in the cache, in milliseconds.
    `T` | `maxIdle(Long value)` Maximum idle time a cache entry will be maintained in the cache, in milliseconds.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### ExpirationComponent

          public ExpirationComponent()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### interval

          public Long interval()

      Interval (in milliseconds) between subsequent runs to purge expired entries from memory and any cache stores. If you wish to disable the periodic eviction process altogether, set wakeupInterval to -1.

    - #### interval

          public T interval(Long value)

      Interval (in milliseconds) between subsequent runs to purge expired entries from memory and any cache stores. If you wish to disable the periodic eviction process altogether, set wakeupInterval to -1.

    - #### lifespan

          public Long lifespan()

      Maximum lifespan of a cache entry, after which the entry is expired cluster-wide, in milliseconds. -1 means the entries never expire.

    - #### lifespan

          public T lifespan(Long value)

      Maximum lifespan of a cache entry, after which the entry is expired cluster-wide, in milliseconds. -1 means the entries never expire.

    - #### maxIdle

          public Long maxIdle()

      Maximum idle time a cache entry will be maintained in the cache, in milliseconds. If the idle time is exceeded, the entry will be expired cluster-wide. -1 means the entries never expire.

    - #### maxIdle

          public T maxIdle(Long value)

      Maximum idle time a cache entry will be maintained in the cache, in milliseconds. If the idle time is exceeded, the entry will be expired cluster-wide. -1 means the entries never expire.

Copyright © 2018 JBoss by Red Hat. All rights reserved.